<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for BaseFare StructType
 * Meta information extracted from the WSDL
 * - documentation: Base fare group
 * @subpackage Structs
 */
class BaseFare extends AbstractStructBase
{
    /**
     * The FiledIn
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - ref: FiledIn
     * @var \StructType\FiledIn
     */
    public $FiledIn;
    /**
     * The Surcharges
     * Meta information extracted from the WSDL
     * - documentation: Surcharges group
     * - minOccurs: 0
     * @var \StructType\SurchargesType
     */
    public $Surcharges;
    /**
     * Constructor method for BaseFare
     * @uses BaseFare::setFiledIn()
     * @uses BaseFare::setSurcharges()
     * @param \StructType\FiledIn $filedIn
     * @param \StructType\SurchargesType $surcharges
     */
    public function __construct(\StructType\FiledIn $filedIn = null, \StructType\SurchargesType $surcharges = null)
    {
        $this
            ->setFiledIn($filedIn)
            ->setSurcharges($surcharges);
    }
    /**
     * Get FiledIn value
     * @return \StructType\FiledIn|null
     */
    public function getFiledIn()
    {
        return $this->FiledIn;
    }
    /**
     * Set FiledIn value
     * @param \StructType\FiledIn $filedIn
     * @return \StructType\BaseFare
     */
    public function setFiledIn(\StructType\FiledIn $filedIn = null)
    {
        $this->FiledIn = $filedIn;
        return $this;
    }
    /**
     * Get Surcharges value
     * @return \StructType\SurchargesType|null
     */
    public function getSurcharges()
    {
        return $this->Surcharges;
    }
    /**
     * Set Surcharges value
     * @param \StructType\SurchargesType $surcharges
     * @return \StructType\BaseFare
     */
    public function setSurcharges(\StructType\SurchargesType $surcharges = null)
    {
        $this->Surcharges = $surcharges;
        return $this;
    }
}
